%define src_name release

Name:		udisks-glue
Version:	1.3.5
Release:	%mkrel 2
Summary:	A tool to associate udisks events to user-defined actions
Group:		System/Base
License:	BSD
URL:		https://github.com/fernandotcl/udisks-glue
Source0:	https://github.com/fernandotcl/%{name}/archive/%{src_name}-1.3.5.tar.gz
Source1:	%{name}.conf
Source2:	%{name}.xinit
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libconfuse)
Requires:	udisks

%description
udisks-glue is a tool that can associate udisks events to user-defined
actions.

udisks is an abstraction layer on top of the Linux disks subsystems.

udisks exposes its API via DBus to its clients (often desktop environments).
Users wishing to have more control about what happens when specific
disk-related events would use udisks-glue.

%prep
%setup -q -n %{name}-%{src_name}-%{version}
autoreconf -fi

%build
%configure2_5x
%make

%install
%makeinstall_std
mkdir -p %{buildroot}/etc/X11/xinit.d/
install -m 0644 %{SOURCE1} %{buildroot}/etc/udisks-glue.conf
install -m 0755 %{SOURCE2} %{buildroot}/etc/X11/xinit.d/%{name}

%files
%{_bindir}/udisks-glue
%{_mandir}/man1/udisks-glue.1*
%{_mandir}/man5/udisks-glue.conf.5*
%{_sysconfdir}/udisks-glue.conf
%{_sysconfdir}/X11/xinit.d/%{name}


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.3.5-2.mga4
+ Revision: 538396
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 1.3.5-1.mga4
+ Revision: 489519
- New version: 1.3.5

* Sat Aug 24 2013 luigiwalser <luigiwalser> 1.3.4-7.mga4
+ Revision: 471376
- add upstream patch to fix build with glib 2.36

* Mon Jan 14 2013 umeabot <umeabot> 1.3.4-6.mga3
+ Revision: 384960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 19 2012 dams <dams> 1.3.4-5.mga2
+ Revision: 231798
- Enable ConsoleKit session support (spotted by my lovely rtp)

* Tue Apr 17 2012 dams <dams> 1.3.4-4.mga2
+ Revision: 231226
- launch 'udisks-glue' when starting a 'IceWM' session

* Sat Apr 14 2012 tv <tv> 1.3.4-3.mga2
+ Revision: 230778
- fix description

* Fri Apr 13 2012 dams <dams> 1.3.4-2.mga2
+ Revision: 230697
- add 'udisks-glue.conf' as default configuration file

  + fwang <fwang>
    - clean up spec

* Sun Mar 25 2012 boklm <boklm> 1.3.4-1.mga2
+ Revision: 226401
- update to version 1.3.4 (bugfix release)

* Wed Mar 07 2012 boklm <boklm> 1.3.3-1.mga2
+ Revision: 221229
- version 1.3.3

* Sat Jan 28 2012 tv <tv> 1.3.2-1.mga2
+ Revision: 202468
- new release

* Fri Sep 02 2011 boklm <boklm> 1.3.1-2.mga2
+ Revision: 137781
- add requires on udisks

* Fri Sep 02 2011 boklm <boklm> 1.3.1-1.mga2
+ Revision: 137775
- imported package udisks-glue

